from pydantic import BaseModel

from app.schemas.diagnosis import FaultCategory
from app.schemas.equipment import AHU, FCU, VAVBox
from app.services.transfer import Season


class ThermalComfortDiagnosisRequest(BaseModel):
    realtime_temp: float
    target_temp: float
    season: Season
    duration_minutes: float
    fcu_list: list[FCU]
    vav_list: list[VAVBox]
    ahu: AHU | None
    known_err: FaultCategory | None


class ThermalComfortDiagnosisResponse(BaseModel):
    pass
